| Flutter Impeller |

Public Member Functions | List of all members
IMPELLER_HPP_NAMESPACE::ParagraphStyle Class Reference

`#include <impeller.hpp>`

Inheritance diagram for IMPELLER_HPP_NAMESPACE::ParagraphStyle:

## Public Member Functions
| ParagraphStyle ()
ParagraphStyle & | SetBackground (const Paint &paint)
ParagraphStyle & | SetFontFamily (const char *family_name)
ParagraphStyle & | SetFontSize (float size)
ParagraphStyle & | SetFontStyle (ImpellerFontStyle style)
ParagraphStyle & | SetFontWeight (ImpellerFontWeight weight)
ParagraphStyle & | SetForeground (const Paint &paint)
ParagraphStyle & | SetHeight (float height)
ParagraphStyle & | SetLocale (const char *locale)
ParagraphStyle & | SetEllipsis (const char *ellipsis)
ParagraphStyle & | SetMaxLines (uint32_t max_lines)
ParagraphStyle & | SetTextAlignment (ImpellerTextAlignment align)
ParagraphStyle & | SetTextDirection (ImpellerTextDirection direction)
ParagraphStyle & | SetTextDecoration (const ImpellerTextDecoration &decoration)
Public Member Functions inherited from IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >
| Object ()=default
| Object (ImpellerParagraphStyle object)
| Object (ImpellerParagraphStyle object, AdoptTag)
| Object (Object &&other)
| Object (const Object &other)
| ~Object ()
Object & | operator= (Object &&other)
Object & | operator= (const Object &other)
ImpellerParagraphStyle | Get () const
| operator bool () const

## Detailed Description

See also
  ImpellerParagraphStyle

Definition at line 1096 of file impeller.hpp.

## Constructor & Destructor Documentation

## ◆ ParagraphStyle()

IMPELLER_HPP_NAMESPACE::ParagraphStyle::ParagraphStyle | ( |  | ) |
| inline

Definition at line 1099 of file impeller.hpp.

1100 : Object(gGlobalProcTable.ImpellerParagraphStyleNew(), AdoptTag::kAdopt) {
1101 }
IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >::Object
Object()=default
IMPELLER_HPP_NAMESPACE::AdoptTag::kAdopt
@ kAdopt
IMPELLER_HPP_NAMESPACE::gGlobalProcTable
ProcTable gGlobalProcTable
Definition: playground_test.cc:25

References IMPELLER_HPP_NAMESPACE::kAdopt.

## Member Function Documentation

## ◆ SetBackground()

ParagraphStyle& IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetBackground | ( | const Paint & | paint | ) |
| inline

See also
  ImpellerParagraphStyleSetBackground

Definition at line 1106 of file impeller.hpp.

1106 {
1107 gGlobalProcTable.ImpellerParagraphStyleSetBackground(Get(), paint.Get());
1108 return *this;
1109 }
IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >::Get
ImpellerParagraphStyle Get() const
Definition: impeller.hpp:278

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetEllipsis()

ParagraphStyle& IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetEllipsis | ( | const char * | ellipsis | ) |
| inline

See also
  ImpellerParagraphStyleSetEllipsis

Definition at line 1170 of file impeller.hpp.

1170 {
1171 gGlobalProcTable.ImpellerParagraphStyleSetEllipsis(Get(), ellipsis);
1172 return *this;
1173 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetFontFamily()

ParagraphStyle& IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetFontFamily | ( | const char * | family_name | ) |
| inline

See also
  ImpellerParagraphStyleSetFontFamily

Definition at line 1114 of file impeller.hpp.

1114 {
1115 gGlobalProcTable.ImpellerParagraphStyleSetFontFamily(Get(), family_name);
1116 return *this;
1117 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetFontSize()

ParagraphStyle& IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetFontSize | ( | float | size | ) |
| inline

See also
  ImpellerParagraphStyleSetFontSize

Definition at line 1122 of file impeller.hpp.

1122 {
1123 gGlobalProcTable.ImpellerParagraphStyleSetFontSize(Get(), size);
1124 return *this;
1125 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetFontStyle()

ParagraphStyle& IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetFontStyle | ( | ImpellerFontStyle | style | ) |
| inline

See also
  ImpellerParagraphStyleSetFontStyle

Definition at line 1130 of file impeller.hpp.

1130 {
1131 gGlobalProcTable.ImpellerParagraphStyleSetFontStyle(Get(), style);
1132 return *this;
1133 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetFontWeight()

ParagraphStyle& IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetFontWeight | ( | ImpellerFontWeight | weight | ) |
| inline

See also
  ImpellerParagraphStyleSetFontWeight

Definition at line 1138 of file impeller.hpp.

1138 {
1139 gGlobalProcTable.ImpellerParagraphStyleSetFontWeight(Get(), weight);
1140 return *this;
1141 }
weight
Scalar weight
Definition: round_superellipse_param.cc:319

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >::Get(), IMPELLER_HPP_NAMESPACE::gGlobalProcTable, and weight.

## ◆ SetForeground()

ParagraphStyle& IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetForeground | ( | const Paint & | paint | ) |
| inline

See also
  ImpellerParagraphStyleSetForeground

Definition at line 1146 of file impeller.hpp.

1146 {
1147 gGlobalProcTable.ImpellerParagraphStyleSetForeground(Get(), paint.Get());
1148 return *this;
1149 }

References IMPELLER_HPP_NAMESPACE::Object< T, Traits >::Get(), IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetHeight()

ParagraphStyle& IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetHeight | ( | float | height | ) |
| inline

See also
  ImpellerParagraphStyleSetHeight

Definition at line 1154 of file impeller.hpp.

1154 {
1155 gGlobalProcTable.ImpellerParagraphStyleSetHeight(Get(), height);
1156 return *this;
1157 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetLocale()

ParagraphStyle& IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetLocale | ( | const char * | locale | ) |
| inline

See also
  ImpellerParagraphStyleSetLocale

Definition at line 1162 of file impeller.hpp.

1162 {
1163 gGlobalProcTable.ImpellerParagraphStyleSetLocale(Get(), locale);
1164 return *this;
1165 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetMaxLines()

ParagraphStyle& IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetMaxLines | ( | uint32_t | max_lines | ) |
| inline

See also
  ImpellerParagraphStyleSetMaxLines

Definition at line 1178 of file impeller.hpp.

1178 {
1179 gGlobalProcTable.ImpellerParagraphStyleSetMaxLines(Get(), max_lines);
1180 return *this;
1181 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetTextAlignment()

ParagraphStyle& IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetTextAlignment | ( | ImpellerTextAlignment | align | ) |
| inline

See also
  ImpellerParagraphStyleSetTextAlignment

Definition at line 1186 of file impeller.hpp.

1186 {
1187 gGlobalProcTable.ImpellerParagraphStyleSetTextAlignment(Get(), align);
1188 return *this;
1189 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetTextDecoration()

ParagraphStyle& IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetTextDecoration | ( | const ImpellerTextDecoration & | decoration | ) |
| inline

See also
  ImpellerParagraphStyleSetTextDecoration

Definition at line 1202 of file impeller.hpp.

1202 {
1203 gGlobalProcTable.ImpellerParagraphStyleSetTextDecoration(Get(),
1204 &decoration);
1205 return *this;
1206 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

## ◆ SetTextDirection()

ParagraphStyle& IMPELLER_HPP_NAMESPACE::ParagraphStyle::SetTextDirection | ( | ImpellerTextDirection | direction | ) |
| inline

See also
  ImpellerParagraphStyleSetTextDirection

Definition at line 1194 of file impeller.hpp.

1194 {
1195 gGlobalProcTable.ImpellerParagraphStyleSetTextDirection(Get(), direction);
1196 return *this;
1197 }

References IMPELLER_HPP_NAMESPACE::Object< ImpellerParagraphStyle, ImpellerParagraphStyleTraits >::Get(), and IMPELLER_HPP_NAMESPACE::gGlobalProcTable.

The documentation for this class was generated from the following file:

- impeller/toolkit/interop/impeller.hpp